#### D.13.2.20 facets

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  facets(c); c cone
  facets(p); p polytope

Return:
  bigintmat, the facets of c resp p

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    bigintmat F1=facets(c1);
    print(F1);
    ==> 0,1,
    ==> 1,0
    intmat M2[2][2]=
    1,1,
    0,-1;
    cone c2=coneViaPoints(M2);
    bigintmat F2=facets(c2);
    print(F2);
    ==> 1,-1,
    ==> 1, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.